Subject: RE: [Ietf-behave] slashdot: p2p firewalled file transfers

From: "Christian Huitema" <[email-masked]>
Date: Wed, 24 Nov 2004 14:44:04 -0800 (PST)

The solution I would recommend to the P2P folks is to enable work over
IPv6 when available, and to enable Teredo on the platform they are
using. The stack looks like P2P/TCP/IPv6/UDP/IPv4. The advantage for the
application is simplicity -- it just sees a regular TCP connection, the
Teredo code takes care of the NAT traversal issues. The solution also
preserves future evolution. It becomes P2P/TCP/IPv6/IPv4 as soon as the
NAT is upgraded to support something like 6TO4, and indeed P2P/TCP/IPv6
as soon as we get native IPv6 connectivity -- without having to change
the application code.

-- Christian Huitema